Subject: bug#45821: Emacs UDP support on Windows

From: Alex Matei <[email-masked]>
Date: Thu, 5 Jan 2023 19:06:11 +0000

Cool, I cherry-picked the patch on the latest master and my eww (gnu.org - TLS) selfhosting so far didn’t show any issues ✅ (compared to what I was seeing in the old, 28.2 branch..)

  *   In terms of UDP, I was able to check that I was able to send UDP packets to a nodejs sever, without any loss or any kind of issues
  *   I am considering also running a udp server in emacs, and test that side of the house, not just client connections

I will continue selfhosting and let you know if I run into any issues with TLS.

Sent from Mail<https://go.microsoft.com/fwlink/?LinkId=550986> for Windows

From: Robert Pluim<mailto:[email-masked]>
Sent: Wednesday, January 4, 2023 2:50 AM
To: Alex Matei<mailto:[email-masked]>
Cc: Eli Zaretskii<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Re: bug#45821: Emacs UDP support on Windows

>>>>> On Wed, 4 Jan 2023 10:15:22 +0000, Alex Matei <[email-masked]> said:

    Alex> I’ve used the Emacs-28 branch :)

Then I suggest you switch to master. Thereʼs no way Iʼm getting Eli to
put this in Emacs 29 :-)

Thanks

Robert
--